
function Skinner:ArgentDawnGrinder()

-->>--	ArgentDawnGrinderSettingsFrame
	self:keepRegions(ArgentDawnGrinderSettingsFrame, {10})
	self:applySkin(ArgentDawnGrinderSettingsFrame, nil)

-->>--	ArgentDawnGrinderCauldronFrame
	self:keepRegions(ArgentDawnGrinderCauldronFrame, {10,11,12,13,14,15,16})
	self:applySkin(ArgentDawnGrinderCauldronFrame, nil)
	
-->>--	ArgentDawnGrinderGrindFrame
	self:keepRegions(ArgentDawnGrinderGrindFrame, {11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29})
	self:applySkin(ArgentDawnGrinderGrindFrame, nil)

-->>--	ArgentDawnGrinderDisplayFrame
	self:keepRegions(ADG_SB_RepWithItems, {})
	self:keepRegions(ADG_SB_ActualRep, {})
	self:keepRegions(ADGToRepUpFrame, {1})
	self:applySkin(ADGToRepUpFrame, nil)
	self:glazeStatusBar(ADG_SB_ActualRep, 0)
	self:glazeStatusBar(ADG_SB_RepWithItems, 0)
	self:keepRegions(ArgentDawnGrinderDisplayFrame, {10,11,12,13})
	self:applySkin(ArgentDawnGrinderDisplayFrame, nil)

end
